#%define cvsversion 19991004
%define cvsversion 5.0

Summary: A GNU source-level debugger for C, C++ and Fortran.
Name: gdb
Version: 5.0
Release: 4mdk
Copyright: GPL
Group: Development/Other
BuildRequires: gpm-devel ncurses-devel
URL:	http://sourceware.cygnus.com/gdb/5/
Source0: ftp://sourceware.cygnus.com/pub/gdb/releases/gdb-%{cvsversion}.tar.bz2
Source1: %{name}-16.xpm
Source2: %{name}-32.xpm
Source3: %{name}-48.xpm
Patch1: gdb-4.18-sparc.patch.bz2
Patch3: gdb-4.18-sparcmin.patch.bz2
Patch4: gdb-4.18-sparccore.patch.bz2
Patch5: gdb-4.18-i386-gregset.patch.bz2
Patch6: gdb-5.0-sparc.patch
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/install-info

%description
Gdb is a full featured, command driven debugger. Gdb allows you to
trace the execution of programs and examine their internal state at
any time.  Gdb works for C and C++ compiled with the GNU C compiler
gcc.

If you are going to develop C and/or C++ programs and use the GNU gcc
compiler, you may want to install gdb to help you debug your
programs.

%prep
%setup -q -n gdb-%{cvsversion}

%patch3 -p1
%ifarch sparc
#%patch1 -p1
%patch1 -p1
%endif
%patch4 -p1
%ifarch chmou
%patch5 -p1
%endif

%build
perl -p -i -e 's|VERSION = %{cvsversion}|VERSION = %{version}|' gdb/Makefile.in
%configure

make CFLAGS="$RPM_OPT_FLAGS"
make info
cp gdb/NEWS .

%install
rm -rf $RPM_BUILD_ROOT
perl -pi -e "s! %{_infodir}! $RPM_BUILD_ROOT%{_infodir}!g" gdb/doc/Makefile
#%makeinstall infodir=$RPM_BUILD_ROOT/%{_infodir} install-info
%makeinstall
#make install-info

rm -f $RPM_BUILD_ROOT/%{_bindir}/{texindex,texi2dvi,makeinfo,install-info,info}
#These are part of binutils
rm -f $RPM_BUILD_ROOT%{_infodir}/{bfd,standard,readline,history,info,texinfo}*
rm -rf $RPM_BUILD_ROOT/usr/include/ $RPM_BUILD_ROOT%{_libdir}/lib{bfd*,opcodes*}


mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu/
cat << EOF > $RPM_BUILD_ROOT%{_libdir}/menu/%{name}
?package(%{name}):\
 needs="text"\
 section="Applications/Development/Tools"\
 title="Gdb"\
 longtitle="The GNU debugger"\
 command="gdb"\
 icon=%{name}.xpm
EOF
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/{mini,large}/
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_iconsdir}/mini/%{name}.xpm
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_iconsdir}/large/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%{_install_info gdb.info}
%{_install_info gdbint.info}
%{_install_info mmalloc.info}
%{_install_info stabs.info}

%preun
if [ $1 = 0 ]; then
%{_remove_install_info gdb.info}
%{_remove_install_info gdbint.info}
%{_remove_install_info mmalloc.info}
%{_remove_install_info stabs.info}
fi

%postun
%{update_menus}

%files
# don't include the files in include, they are part of binutils
%defattr(-,root,root)
%doc COPYING COPYING.LIB README NEWS
%{_libdir}/menu/%{name}
%{_libdir}/libmmalloc.a
%{_iconsdir}/%{name}.xpm
%{_iconsdir}/large/%{name}.xpm
%{_iconsdir}/mini/%{name}.xpm
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/gdb.info*
%{_infodir}/gdbint.info*
%{_infodir}/stabs.info*
%{_infodir}/mmalloc.info*

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.0-4mdk
- automatically added BuildRequires


* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-3mdk
- BM

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-2mdk
- merge in rh patches
- add doc files
- added the NEWS file to the %doc files
- don't delete libmmalloc & add it (required by docs in gdb' info pages) :
  we're the only distro to be compliant with this!
- use new macros

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-1mdk
- new release
- fix source0
- add URL
- make sparc patch only applied when building a sparc rpm (sprc-bldr scks)

* Sat Apr 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.18-14mdk
- Set VERSION to version rpm not to cvs date.
- Fix menu post/postun.
- Add all size of icons.

* Thu Apr 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.18-13mdk
- Add menu and icon.
- Clean-up specs.
- Adjust groups.
- Back to snapshots 19991004 for glibc-2.1.3.

* Mon Nov 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Using cvs snapshot, merging.
- merging with redhat patchs.

* Tue Aug 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>

- thread safe release
